Page MenuHomePhabricator

Move profile::requesttracker::server to exim light variant
Closed, ResolvedPublic

Description

(creating on behalf of Moritz) Modules/profile/manifests/requesttracker/server.pp previously used the heavy Exim variant since RT processed incoming mail queue for the network maint announcements. That's no longer a thing (we use a Google group now), so this could be converted to the light variant we use on most servers.

Details

Related Gerrit Patches:

Event Timeline

herron created this task.Jul 5 2017, 7:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 7:08 PM

Change 363390 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] Remove exim4-heavy and exim4::ganglia from role requesttracker_server

https://gerrit.wikimedia.org/r/363390

Change 363390 merged by Herron:
[operations/puppet@production] Remove exim4-heavy and exim4::ganglia from role requesttracker_server

https://gerrit.wikimedia.org/r/363390

Mentioned in SAL (#wikimedia-operations) [2017-07-06T18:03:45Z] <herron> moved ununpentium to exim4-daemon-light - T169794

herron closed this task as Resolved.Jul 6 2017, 6:12 PM

Merged this change and on ununpentium manually:

  • Removed the exim4-daemon-heavy package
  • Unmounted exim tmpfs /var/spool/exim4/(scan|db) filesystems
  • Commented out exim tmpfs entries in fstab
  • Restarted exim4 service

Subsequent puppet run looks good and checked that email can be still sent using the mail command.

Going to resolve now but if I missed anything please let me know!

herron moved this task from Backlog to Done on the Mail board.Aug 2 2017, 5:23 PM